Magick++: Magick::DrawableScaling Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableScaling Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableScaling:
[legend]
Collaboration diagram for Magick::DrawableScaling:
[legend]

## Public Member Functions
| DrawableScaling (double x_, double y_)
| ~DrawableScaling (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1619 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableScaling()

Magick::DrawableScaling::DrawableScaling | ( | double | x_,
|  | double | y_
| ) |  |
| inline

Definition at line 1622 of file Drawable.h.

## ◆ ~DrawableScaling()

Magick::DrawableScaling::~DrawableScaling | ( | void |  | ) |

Definition at line 1120 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableScaling::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1128 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableScaling::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1124 of file Drawable.cpp.

## ◆ x() [1/2]

void Magick::DrawableScaling::x | ( | double | x_ | ) |
| inline

Definition at line 1635 of file Drawable.h.

## ◆ x() [2/2]

double Magick::DrawableScaling::x | ( | void |  | ) | const
| inline

Definition at line 1639 of file Drawable.h.

## ◆ y() [1/2]

void Magick::DrawableScaling::y | ( | double | y_ | ) |
| inline

Definition at line 1644 of file Drawable.h.

## ◆ y() [2/2]

double Magick::DrawableScaling::y | ( | void |  | ) | const
| inline

Definition at line 1648 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp